{
    attributes = (
        {
            columnName = C_CIVILITE; 
            externalType = VARCHAR2; 
            name = cCivilite; 
            valueClassName = NSString; 
            width = 5; 
        }, 
        {
            allowsNull = Y; 
            columnName = C_DEPT_NAISSANCE; 
            externalType = VARCHAR2; 
            name = cDeptNaissance; 
            valueClassName = NSString; 
            width = 3; 
        }, 
        {
            allowsNull = Y; 
            columnName = C_PAYS_NAISSANCE; 
            externalType = VARCHAR2; 
            name = cPaysNaissance; 
            valueClassName = NSString; 
            width = 3; 
        }, 
        {
            allowsNull = Y; 
            columnName = C_PAYS_NATIONALITE; 
            externalType = VARCHAR2; 
            name = cPaysNationalite; 
            valueClassName = NSString; 
            width = 3; 
        }, 
        {
            allowsNull = Y; 
            columnName = CATEGORIE_PRINC; 
            externalType = NUMBER; 
            name = categoriePrinc; 
            precision = 2; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = D_CREATION; 
            externalType = DATE; 
            name = dCreation; 
            valueClassName = NSCalendarDate; 
        }, 
        {
            allowsNull = Y; 
            columnName = D_DECES; 
            externalType = DATE; 
            name = dDeces; 
            valueClassName = NSCalendarDate; 
        }, 
        {
            columnName = D_MODIFICATION; 
            externalType = DATE; 
            name = dModification; 
            valueClassName = NSCalendarDate; 
        }, 
        {
            allowsNull = Y; 
            columnName = D_NAISSANCE; 
            externalType = DATE; 
            name = dNaissance; 
            valueClassName = NSCalendarDate; 
        }, 
        {
            allowsNull = Y; 
            columnName = D_NATURALISATION; 
            externalType = DATE; 
            name = dNaturalisation; 
            valueClassName = NSCalendarDate; 
        }, 
        {
            allowsNull = Y; 
            columnName = IND_ACTIVITE; 
            externalType = VARCHAR2; 
            name = indActivite; 
            valueClassName = NSString; 
            width = 100; 
        }, 
        {
            allowsNull = Y; 
            columnName = IND_AGENDA; 
            externalType = VARCHAR2; 
            name = indAgenda; 
            valueClassName = NSString; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = IND_C_SIT_MILITAIRE; 
            externalType = VARCHAR2; 
            name = indCSitMilitaire; 
            valueClassName = NSString; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = IND_C_SITUATION_FAMILLE; 
            externalType = VARCHAR2; 
            name = indCSituationFamille; 
            valueClassName = NSString; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = IND_CLE_INSEE; 
            externalType = NUMBER; 
            name = indCleInsee; 
            precision = 2; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = IND_NO_INSEE; 
            externalType = VARCHAR2; 
            name = indNoInsee; 
            valueClassName = NSString; 
            width = 13; 
        }, 
        {
            allowsNull = Y; 
            columnName = IND_ORIGINE; 
            externalType = VARCHAR2; 
            name = indOrigine; 
            valueClassName = NSString; 
            width = 80; 
        }, 
        {
            allowsNull = Y; 
            columnName = IND_PHOTO; 
            externalType = VARCHAR2; 
            name = indPhoto; 
            valueClassName = NSString; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = IND_QUALITE; 
            externalType = VARCHAR2; 
            name = indQualite; 
            valueClassName = NSString; 
            width = 120; 
        }, 
        {
            allowsNull = Y; 
            columnName = LANGUE_PREF; 
            externalType = VARCHAR2; 
            name = languePref; 
            valueClassName = NSString; 
            width = 3; 
        }, 
        {
            columnName = LISTE_ROUGE; 
            externalType = CHAR; 
            name = listeRouge; 
            valueClassName = NSString; 
            width = 1; 
        }, 
        {
            columnName = NO_INDIVIDU; 
            externalType = NUMBER; 
            name = noIndividu; 
            precision = 8; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = NO_INDIVIDU_CREATEUR; 
            externalType = NUMBER; 
            name = noIndividuCreateur; 
            precision = 8; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = NOM_PATRONYMIQUE; 
            externalType = VARCHAR2; 
            name = nomPatronymique; 
            valueClassName = NSString; 
            width = 80; 
        }, 
        {
            allowsNull = Y; 
            definition = "NVL(NOM_PATRONYMIQUE_AFFICHAGE,NOM_PATRONYMIQUE)"; 
            externalType = VARCHAR2; 
            name = nomPatronymiqueAffichage; 
            valueClassName = NSString; 
            width = 80; 
        }, 
        {
            columnName = NOM_USUEL; 
            externalType = VARCHAR2; 
            name = nomUsuel; 
            valueClassName = NSString; 
            width = 80; 
        }, 
        {
            allowsNull = Y; 
            definition = "NVL(NOM_AFFICHAGE,NOM_USUEL)"; 
            externalType = VARCHAR2; 
            internalInfo = {_nameInObjectStore = "NVL(NOM_AFFICHAGE,NOM_USUEL)"; }; 
            name = nomUsuelAffichage; 
            valueClassName = NSString; 
            width = 80; 
        }, 
        {
            allowsNull = Y; 
            columnName = ORGA_CODE; 
            externalType = VARCHAR2; 
            name = orgaCode; 
            valueClassName = NSString; 
            width = 10; 
        }, 
        {
            allowsNull = Y; 
            columnName = ORGA_LIBELLE; 
            externalType = VARCHAR2; 
            name = orgaLibelle; 
            valueClassName = NSString; 
            width = 120; 
        }, 
        {
            columnName = PERS_ID; 
            externalType = NUMBER; 
            name = persId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = PRENOM; 
            externalType = VARCHAR2; 
            name = prenom; 
            valueClassName = NSString; 
            width = 30; 
        }, 
        {
            allowsNull = Y; 
            columnName = PRENOM2; 
            externalType = VARCHAR2; 
            name = prenom2; 
            valueClassName = NSString; 
            width = 40; 
        }, 
        {
            allowsNull = Y; 
            definition = "NVL(PRENOM_AFFICHAGE,PRENOM)"; 
            externalType = VARCHAR2; 
            name = prenomAffichage; 
            valueClassName = NSString; 
            width = 30; 
        }, 
        {
            columnName = TEM_SS_DIPLOME; 
            externalType = VARCHAR2; 
            name = temSsDiplome; 
            valueClassName = NSString; 
            width = 1; 
        }, 
        {
            columnName = TEM_VALIDE; 
            externalType = VARCHAR2; 
            name = temValide; 
            valueClassName = NSString; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = VILLE_DE_NAISSANCE; 
            externalType = VARCHAR2; 
            name = villeDeNaissance; 
            valueClassName = NSString; 
            width = 30; 
        }
    ); 
    attributesUsedForLocking = (noIndividu); 
    className = EOGenericRecord; 
    classProperties = (
        noIndividu, 
        persId, 
        nomPatronymique, 
        prenom, 
        cCivilite, 
        nomUsuel, 
        prenom2, 
        dNaissance, 
        villeDeNaissance, 
        cDeptNaissance, 
        cPaysNaissance, 
        cPaysNationalite, 
        dNaturalisation, 
        dDeces, 
        indCSitMilitaire, 
        indCSituationFamille, 
        indNoInsee, 
        indCleInsee, 
        indQualite, 
        indPhoto, 
        indActivite, 
        indOrigine, 
        dCreation, 
        dModification, 
        temSsDiplome, 
        temValide, 
        indAgenda, 
        languePref, 
        listeRouge, 
        categoriePrinc, 
        noIndividuCreateur, 
        orgaCode, 
        orgaLibelle, 
        toGrhumCivilite, 
        toGrhumDepartementNaissance, 
        toGrhumPaysNaissance, 
        toGrhumPaysNationalite, 
        nomPatronymiqueAffichage, 
        nomUsuelAffichage, 
        prenomAffichage
    ); 
    externalName = GRHUM.INDIVIDU_ULR; 
    fetchSpecificationDictionary = {}; 
    name = GrhumIndividuUlr; 
    primaryKeyAttributes = (noIndividu); 
    relationships = (
        {
            destination = GrhumCivilite; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = cCivilite; sourceAttribute = cCivilite; }); 
            name = toGrhumCivilite; 
        }, 
        {
            destination = GrhumDepartement; 
            isToMany = N; 
            joinSemantic = EOLeftOuterJoin; 
            joins = ({destinationAttribute = cDepartement; sourceAttribute = cDeptNaissance; }); 
            name = toGrhumDepartementNaissance; 
        }, 
        {
            destination = GrhumPays; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = cPays; sourceAttribute = cPaysNaissance; }); 
            name = toGrhumPaysNaissance; 
        }, 
        {
            destination = GrhumPays; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = cPays; sourceAttribute = cPaysNationalite; }); 
            name = toGrhumPaysNationalite; 
        }
    ); 
}
